%define upstream_name    Dist-Zilla-Plugin-MojibakeTests
%define upstream_version 0.8

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Release tests for source encoding
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla)
BuildRequires: perl(Test::Mojibake)
BuildArch: noarch

%description
This is an extension of the Dist::Zilla::Plugin::InlineFiles manpage,
providing the following file:

    xt/release/mojibake.t - a standard Test::Mojibake test

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc README Changes LICENSE META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.800.0-3.mga6
+ Revision: 1026417
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.800.0-2.mga6
+ Revision: 968359
- Mageia 6 Mass Rebuild

* Mon Jul 06 2015 sander85 <sander85> 0.800.0-1.mga6
+ Revision: 852121
- update to 0.8

* Sat Oct 18 2014 umeabot <umeabot> 0.700.0-4.mga5
+ Revision: 787831
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.700.0-3.mga5
+ Revision: 746908
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Jun 21 2014 sander85 <sander85> 0.700.0-1.mga5
+ Revision: 638335
- update to 0.7

* Tue Jun 10 2014 sander85 <sander85> 0.600.0-1.mga5
+ Revision: 635470
- update to 0.6

* Mon Oct 21 2013 umeabot <umeabot> 0.500.0-2.mga4
+ Revision: 537091
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 0.500.0-1.mga4
+ Revision: 486282
- update to 0.5

* Sun Jan 13 2013 umeabot <umeabot> 0.300.0-2.mga3
+ Revision: 366288
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + jquelin <jquelin>
    - imported package perl-Dist-Zilla-Plugin-MojibakeTests


* Fri Aug 26 2011 cpan2dist 0.3-1mga
- initial mageia release, generated with cpan2dist
